summaryrefslogtreecommitdiff
path: root/test/integration/test-hashsum-verification
diff options
context:
space:
mode:
authorMichael Vogt <mvo@ubuntu.com>2014-10-08 08:36:53 +0200
committerMichael Vogt <mvo@ubuntu.com>2014-10-08 08:36:53 +0200
commita943fbf21ca0b9b58b8f1492fc518679b1d7c749 (patch)
tree8db7050b025ca3918ff3e5ebad00f3a7f339a7d2 /test/integration/test-hashsum-verification
parent8f45798d532223adc378a4ad9ecfc64b3be26e4f (diff)
parentf9a3c4bde867e70e8c89b6ed5924ab9fab517096 (diff)
Merge remote-tracking branch 'mvo/feature/acq-trans' into debian/experimental
Diffstat (limited to 'test/integration/test-hashsum-verification')
-rwxr-xr-xtest/integration/test-hashsum-verification10
1 files changed, 7 insertions, 3 deletions
diff --git a/test/integration/test-hashsum-verification b/test/integration/test-hashsum-verification
index 2a400dcb4..5f88110b3 100755
--- a/test/integration/test-hashsum-verification
+++ b/test/integration/test-hashsum-verification
@@ -70,9 +70,13 @@ runtest() {
rm -rf rootdir/var/lib/apt/lists
rm aptarchive/InRelease aptarchive/Release.gpg
msgtest 'unsigned apt-get update gets the expected hashsum mismatch'
- aptget update 2>&1 | grep "Hash Sum mismatch" > /dev/null && msgpass || msgfail
-
-
+ aptget update --allow-insecure-repositories >output.log 2>&1 || true
+ if grep -q "Hash Sum mismatch" output.log; then
+ msgpass
+ else
+ cat output.log
+ msgfail
+ fi
}
for COMPRESSEDINDEXES in 'false' 'true'; do